/* GC2EDWPS - create an icon for GC2ED on the WPS */
IF LoadRexxUtil() THEN
  EXIT

fTree. = ""
fTree.0 = 0
rc = SysFileTree("GC2ED.EXE", "fTree.", "FO")

IF fTree.0 < 1 THEN
  DO
  SAY "--english:--"
  SAY "Could not find GC2ED.EXE in this directory. Please review README.DOC"
  SAY "Aborting."
  SAY "--deutsch:--"
  SAY "GC2ED.EXE ist nicht in diesem Verzeichnis. Bitte README.DOC nochmals"
  SAY "lesen und es erneut versuchen."
  SAY "Abbruch."
  EXIT
  END

exeLen = LENGTH(fTree.1)
workDir = LEFT(fTree.1, exeLen - 10)

rc = SysCreateObject("WPProgram", "GC2 Editor", "<WP_DESKTOP>", "EXENAME=" || fTree.1 || ";STARTUPDIR=" || workDir || ";", "ReplaceIfExists")

IF rc = 1 THEN
  DO
  SAY "Object for GC2ED created succesfully."
  END
ELSE
  DO
  SAY "Error while creating object for GC2ED. Sorry."
  SAY "Error code was" rc
  SAY "Found program to be:" fTree.1
  SAY "Found working directory to be:" workDir
  END

EXIT

/* loadrexxutil * loading the rexxutil library: */
LoadRexxUtil:
  IF RxFuncQuery("SysLoadFuncs") THEN
    DO
    IF RxFuncAdd("SysLoadFuncs", "RexxUtil", "SysLoadFuncs") THEN
      DO
      SAY "Error: Couldn't load RexxUtil library."
      RETURN 1
      END
    CALL SysLoadFuncs
    END
  RETURN 0
